package de.zimkand.explintentres;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    static final String EXTRA_MESS = "mess";
    private int REQUEST_CODE_EXPLICIT = 12;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button btnStartSecAct = findViewById(R.id.startSecAct);
        btnStartSecAct.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent secAct = new Intent(MainActivity.this, SecondaryActivity.class);
                secAct.putExtra(EXTRA_MESS, getString(R.string.send_string));
                startActivityForResult(secAct, REQUEST_CODE_EXPLICIT);
            }
        });
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent intent) {
        if (requestCode == REQUEST_CODE_EXPLICIT) {
            TextView tv = findViewById(R.id.tvAnswer);
            if (resultCode == RESULT_OK)
                tv.setText(getString(R.string.answer) + " " +
                        intent.getStringExtra(EXTRA_MESS));
            else
                tv.setText(getString(R.string.answer) + " " +
                        getString(R.string.neg_answer));
        }
    }

}

