package de.zimkand.eventdiary;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import java.util.Date;
import java.util.List;

public class EventListActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_event_list);

        EventDAO eventDAO = MainActivity.getEventDAO();
        List<Event> allEvents = eventDAO.getEvents();
        if (allEvents.size() == 0) {
            eventDAO.insert(new Event(new Date(), "5 Cent gefunden", 5));
            allEvents = eventDAO.getEvents();
        }
        EventArrayAdapter adapter = new EventArrayAdapter(this, R.layout.event, allEvents);
        ListView lv = findViewById(R.id.listView);
        lv.setAdapter(adapter);
    }
}
