package de.zimkand.listview;

import android.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.*;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ListView lv = findViewById(R.id.list);

        String[] titles = {
                "Heinrich IV", "Alfons, der Viertel vor Zwölfte", "Heinrich V", "Ritter Kuno", "Heinrich VIII", "Richard II",
                "Richard III", "Oh, Bello", "Richard IV", "Richard V","Der Kaufmann aus Venedig", "Othello", "König Lear"
        };

        lv.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_activated_1, titles));
        lv.setVerticalScrollBarEnabled(true);
        lv.setOnItemClickListener(new ListView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> av, View v, int position, long id) {
                AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
                builder.setMessage("Ihre Wahl: " + ((TextView)v).getText().toString());
                AlertDialog dialog = builder.create();
                dialog.show();
            }
        });
    }
}
