package de.zimkand.popup;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.PopupMenu;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity implements PopupMenu.OnMenuItemClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    public void showSharePopup(View v) {
        PopupMenu popup = new PopupMenu(this, v);
        getMenuInflater().inflate(R.menu.popup_menu, popup.getMenu());
        popup.setOnMenuItemClickListener(this);
        popup.show();
    }

    @Override
    public boolean onMenuItemClick(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.facebook:
                Toast.makeText(this, "Facebook", Toast.LENGTH_SHORT).show();
                return true;
            case R.id.google_plus:
                Toast.makeText(this, "Google+", Toast.LENGTH_SHORT).show();
                return true;
            default:
                return false;
        }
    }
}
