package de.zimkand.explicitbroadcast;

import android.content.ComponentName;
import android.content.Intent;
import android.support.v4.app.ActivityCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private Button btnSend;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        btnSend = findViewById(R.id.btnSend);
        btnSend.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        if (v == btnSend) {
            // Expliziter Broadcast-Intent
//            Intent intent = new Intent();
//            String paket = "de.zimkand.brdemo";
//            String klasse = "de.zimkand.brdemo.StaticReceiver";
//            intent.setComponent(new ComponentName(paket, klasse));
//            sendBroadcast(intent);
//            Log.i("BRDemo", "Expl. Intent gesendet");

            // Versandt ohne Anforderung an die Berechtigung des Empfängers
//            sendBroadcast(new Intent("de.zimkand.intent.action.FINITO"));
//            Log.i("BRDemo", "Intent mit Senderberechtigung");

            Intent intent = new Intent("de.zimkand.intent.action.FINITO");
            // Versandt an eine Anwendung mit passendem package-Attribut
//            intent.setPackage("de.zimkand.brdemo");
//            sendBroadcast(intent);
            // Versandt mit Anforderung an die Berechtigung des Empfängers
            sendBroadcast(intent, "de.zimkand.permission.BROADCAST");
            Log.i("BRDemo", "Intent mit Empfängerberechtigung");
        }
    }
}
