package de.zimkand.explintentres;

import android.content.Intent;
import android.os.Bundle;
import android.provider.AlarmClock;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class SecondaryActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_secondary);
        final EditText etMess = findViewById(R.id.etMess);

        Bundle extras = getIntent().getExtras();
        String def = extras.getString(MainActivity.EXTRA_MESS);
        if (def != null)
            etMess.setText(def);
        else
            etMess.setText("");
        Button btnSend = (Button) findViewById(R.id.send);
        btnSend.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View arg0) {
                Intent intent = new Intent();
                intent.putExtra(MainActivity.EXTRA_MESS, etMess.getText().toString());
                setResult(RESULT_OK, intent);
                finish();
            }
        });
    }
}
