package de.zimkand.utinmap;

import android.content.Intent;
import android.net.Uri;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Standort der Uni Trier in einer Karte zeigen
        Button button = findViewById(R.id.button);
        if (button != null)
            button.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    Uri ort = Uri.parse("geo:49.747355,6.687724?z=14"); // z Parameter = Zoom-Stufe
                    Intent viewUT = new Intent(Intent.ACTION_VIEW, ort);
                    if (viewUT.resolveActivity(getPackageManager()) != null)
                        startActivity(viewUT);
                }
            });
    }
}
