package de.zimkand.eventdiary;

import android.arch.persistence.room.*;

import java.io.Serializable;
import java.util.Date;

@Entity(tableName = "events")
public class Event implements Serializable {

    @PrimaryKey(autoGenerate = true)
    @ColumnInfo(name = "eventid")
    private long id;

    @ColumnInfo(name = "datetime")
    private Date dateTime;

    private String desc;

    private int mood;

    public Event(Date dateTime, String desc, int mood) {
        this.dateTime = dateTime;
        this.desc = desc;
        this.mood = mood;
    }

    public long getId() {
        return id;
    }
    public void setId(long id) {
        this.id = id;
    }

    public Date getDateTime() {
        return dateTime;
    }
    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public String getDesc() {
        return desc;
    }
    public void setDesc(String event) {
        this.desc = event;
    }

    public int getMood() {
        return mood;
    }
    public void setMood(int mood) {
        this.mood = mood;
    }
}
