package de.zimkand.listactivty;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.*;

public class MainActivity extends ListActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        String[] titles = {"Heinrich IV", "Alfons, der Viertel vor Zwölfte",
                "Heinrich V", "Ritter Kuno", "Heinrich VIII", "Richard II", "Richard III",
                "Oh, Bello", "Richard IV","Richard V","Der Kaufmann aus Venedig",
                "Othello", "König Lear"};

        setListAdapter(new ArrayAdapter<String>(this,
                android.R.layout.simple_list_item_activated_1, titles));
        ListView lv = getListView();
        lv.setVerticalScrollBarEnabled(true);
        lv.setOnItemClickListener(new ListView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> av, View v, int position, long id) {
                AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
                builder.setMessage("Ihre Wahl: " + ((TextView)v).getText().toString());
                AlertDialog dialog = builder.create();
                dialog.show();
            }
        });
    }
}

